#include "SceneRenderer.hpp"
#include "Exception.hpp"

#include <iostream>
using namespace std;




int main(void)
{
	auto exception =R"(
 _____                   _   _             
|  ___|                 | | (_)            
| |____  _____ ___ _ __ | |_ _  ___  _ __  
|  __\ \/ / __/ _ \ '_ \| __| |/ _ \| '_ \ 
| |___>  < (_|  __/ |_) | |_| | (_) | | | |
\____/_/\_\___\___| .__/ \__|_|\___/|_| |_|
                  | |                      
                  |_|                      
============================================
)";


	try
	{
		SceneRenderer display;
		cout << display.PrintControls();
		display.Run();
	}
	catch(std::exception& ex)
	{
		cout << exception << boost::diagnostic_information(ex) << endl;
		system("pause");
	}
	catch(...)
	{
		cout << "an unknown exception occurred :(" << endl;
		system("pause");
	}

	return 0;
}
